## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----example1-----------------------------------------------------------------
library(gofLorenz)

data(breaking_strength)
x1 <- breaking_strength$x
n1 <- breaking_strength$n
m1 <- breaking_strength$m
R1 <- breaking_strength$R

# Perform Goodness-of-Fit Test for Normal Distribution
fit1 <- gof_lorenz(x = x1, n = n1, m = m1, R = R1, dist = "norm", mc_rep = 200)
print(fit1)

## ----lplot1, fig.width = 6, fig.height = 4------------------------------------
plot(fit1)

## ----example2-----------------------------------------------------------------
data(insulating_fluid)
x2 <- insulating_fluid$x
n2 <- insulating_fluid$n
m2 <- insulating_fluid$m
R2 <- insulating_fluid$R

# Perform Goodness-of-Fit Test for Gumbel Distribution
fit2 <- gof_lorenz(x = x2, n = n2, m = m2, R = R2, dist = "gumbel", mc_rep = 200)
summary(fit2)

